# Sentiment Browser JS Library

[![npm package](https://img.shields.io/npm/v/@sentiment/js?style=flat-square)](https://www.npmjs.com/package/@sentiment/js)
[![MIT License](https://img.shields.io/badge/License-MIT-red.svg?style=flat-square)](https://opensource.org/licenses/MIT)

Please see [Sentiment Docs](https://sentiment.com/docs).
Specifically, [Quickstart/Implementation details](https://sentiment.com/docs/getting-started/quickstart-in-app-survey).

## What is Sentiment

Sentiment is your go-to solution for in-product micro-surveys that will supercharge your product experience! 🚀 For more information please check out [sentiment.com](https://sentiment.com).

## How to use this library

1. Install the Sentiment package inside your project using npm:

```bash
npm install -s @sentiment/js
```

2. Import Sentiment and initialize the widget in your main component (e.g., App.tsx or App.js):

```javascript
import sentiment from "@sentiment/js";

if (typeof window !== "undefined") {
  sentiment.init({
    environmentId: "your-environment-id",
  });
}
```

Replace your-environment-id with your actual environment ID. You can find your environment ID in the **Setup Checklist** in the Sentiment settings.

For more detailed guides for different frameworks, check out our [Framework Guides](https://sentiment.com/docs/getting-started/framework-guides).
